Merge freerdp 1.1.0~git20140921.1.440916e+dfsg1-10 (main) from Debian unstable (main)

Bug #1602480 reported by Jeremy Bicha on 2016-07-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
freerdp (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge freerdp 1.1.0~git20140921.1.440916e+dfsg1-10 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
    - Disable gstreamer support, this relies on gstreamer 0.10 and we don't
      want to add any more deps on that.

gstreamer 0.10 support was disabled in devian revision 1-6 below.

Explanation of the remaining Ubuntu delta:
    - Disable ffmpeg support (it is in universe)

More specifically, building with ffmpeg adds ffmpeg dependencies to libfreerdp-plugins-standard
which is depended on by remmina which is shipped on the primary Ubuntu iso.

Debian has added 4 new build-dependencies but all are already in main:
+ libusb-1.0-0-dev [linux-any],
+ libudev-dev [linux-any],
+ libdbus-glib-1-dev,
+ uuid-dev
.

Changelog entries since current yakkety version 1.1.0~git20140921.1.440916e+dfsg1-5ubuntu1:

freerdp (1.1.0~git20140921.1.440916e+dfsg1-10) unstable; urgency=medium

  * debian/rules:
    + Fix more DEB_HOST_* vs. DEB_BUILD_* issues. (Closes: #822842).

 -- Mike Gabriel <email address hidden> Thu, 28 Apr 2016 23:01:32 +0200

freerdp (1.1.0~git20140921.1.440916e+dfsg1-9) unstable; urgency=medium

  * debian/rules:
    + Regression fix for usage of DEB_HOST_ARCH vs. DEB_BUILD_ARCH. Switching
      back to DEB_HOST_ARCH to not break cross-builds. Thanks to Guillem Jover
      for teaching me about the difference between those two options.
      (Closes: #822842).

 -- Mike Gabriel <email address hidden> Thu, 28 Apr 2016 12:58:12 +0200

freerdp (1.1.0~git20140921.1.440916e+dfsg1-8) unstable; urgency=medium

  * debian/rules:
    + Use DEB_BUILD_ARCH, rather than DEB_HOST_ARCH when detecting armhf build
      system.
  * debian/{control,rules}:
    + Build with -DCHANNEL_URBDRC_CLIENT=on only on Linux OSes. (Closes:
      #815614).
  * debian/control:
    + Bump Standards: to 3.9.7. No changes needed.
    + Add recent MS Windows releases to LONG_DESCRIPTION (of bin:pkg
      freerdp-x11).

 -- Mike Gabriel <email address hidden> Wed, 27 Apr 2016 21:35:58 +0200

freerdp (1.1.0~git20140921.1.440916e+dfsg1-7) unstable; urgency=medium

  * debian/rules:
    + Fix missing backslash in list of configure arguments. (Closes: #815317).
      Thanks to Emilio Pozuelo Monfort for spotting this.

 -- Mike Gabriel <email address hidden> Sat, 20 Feb 2016 22:41:45 +0100

freerdp (1.1.0~git20140921.1.440916e+dfsg1-6) unstable; urgency=medium

  [ Sriram Raghunathan ]
  * debian/control:
    + Fix typo in control file which is used to show package info. (Closes:
      #768855).

  [ Lionel Elie Mamane ]
  * Enable URBDRC (USB redirection) channel. (Closes: #788005).

  [ Alex 'AdUser' Z ]
  * debian/patches:
    + Add 1010_libudev-link.patch. Fix linking against libudev if building
      USB redirection channel is enabled.

  [ Mike Gabriel ]
  * debian/{control,rules}:
    + Drop B-D: libgstreamer-plugins-base0.10-dev. This requires disabling
      gstreamer support and is a wanted and temporary regression. With
      upcoming freerdp2 upload to Debian, gstreamer1.0 support will be
      (re-)introduced. (Closes: #785898).
  * debian/control:
    + Add B-Ds: libusb-1.0-0-dev, libudev-dev, libdbus-glib-1-dev, uuid-dev.
    + Use encrypted URLs for Vcs-*: field.
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
  * debian/rules:
    + Enable all hardening flags.
  * debian/patches:
    + Add 0005_release-keys-when-xfreerdp-is-unfocused-to-prevent-s.patch.
      Prevent Alt key from getting "stuck" with -grab-keyboard option when
      using Alt-Tab to switch between local X windows. Thanks to Petr
      Vorel <email address hidden> for providing the patch. (Closes: #778650).
    + Add 0006_fix-null-cert-that-is-not-an-error.patch. Fix null certificate
      that is not an error. Thanks to Nathan Schulte for referencing the
      upstream commit. Patch backported by myself to this freerdp Git snapshot.
      (Closes: #803891).
    + Add 0007_Fix-build-failure-on-x32.patch. Fix FTBFS on x32 architecture.
      Thanks to Adam Borowski for providing this patch. (Closes: #808503).
    + Add 1012_typo-fix.patch. Fix spelling of the work "occurred".

  [ Andreas Cadhalpun ]
  * debian/patches:
    + Add 1011_ffmpeg-2.9.patch. Fix FTBFS against ffmpeg-2.9. (Closes:
      #803814).

 -- Mike Gabriel <email address hidden> Fri, 19 Feb 2016 09:02:00 +0100

Jeremy Bicha (jbicha) on 2016-07-13
Changed in freerdp (Ubuntu):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :

What the diff was compared to Debian at the time of the last merge:

https://patches.ubuntu.com/f/freerdp/freerdp_1.1.0~git20140921.1.440916e+dfsg1-5ubuntu1.patch

description: updated
Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha) wrote :
Michael Terry (mterry) wrote :

Thanks Jeremy! Uploaded to yakkety. Bug will auto-close.

Michael Terry (mterry) wrote :

Jeremy, it seems a test segfaults reliably on armhf and i386... Other arches are fine though.

Daniel Holbach (dholbach) wrote :

Do we have a reference to the segfault? Is this known upstream?

Jeremy Bicha (jbicha) wrote :

As a start, we'd want to look through

https://github.com/FreeRDP/FreeRDP/commits/master/client/common/test

but those commits have to be adapted to the older version of freerdp we have in Debian/Ubuntu

Jeremy Bicha (jbicha) wrote :

See also bug 1592701

tags: added: ftbfs
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package freerdp - 1.1.0~git20140921.1.440916e+dfsg1-10ubuntu1

---------------
freerdp (1.1.0~git20140921.1.440916e+dfsg1-10ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1602480). Remaining change:
    - Disable ffmpeg support (it's in universe)

freerdp (1.1.0~git20140921.1.440916e+dfsg1-10) unstable; urgency=medium

  * debian/rules:
    + Fix more DEB_HOST_* vs. DEB_BUILD_* issues. (Closes: #822842).

freerdp (1.1.0~git20140921.1.440916e+dfsg1-9) unstable; urgency=medium

  * debian/rules:
    + Regression fix for usage of DEB_HOST_ARCH vs. DEB_BUILD_ARCH. Switching
      back to DEB_HOST_ARCH to not break cross-builds. Thanks to Guillem Jover
      for teaching me about the difference between those two options.
      (Closes: #822842).

freerdp (1.1.0~git20140921.1.440916e+dfsg1-8) unstable; urgency=medium

  * debian/rules:
    + Use DEB_BUILD_ARCH, rather than DEB_HOST_ARCH when detecting armhf build
      system.
  * debian/{control,rules}:
    + Build with -DCHANNEL_URBDRC_CLIENT=on only on Linux OSes. (Closes:
      #815614).
  * debian/control:
    + Bump Standards: to 3.9.7. No changes needed.
    + Add recent MS Windows releases to LONG_DESCRIPTION (of bin:pkg
      freerdp-x11).

freerdp (1.1.0~git20140921.1.440916e+dfsg1-7) unstable; urgency=medium

  * debian/rules:
    + Fix missing backslash in list of configure arguments. (Closes: #815317).
      Thanks to Emilio Pozuelo Monfort for spotting this.

freerdp (1.1.0~git20140921.1.440916e+dfsg1-6) unstable; urgency=medium

  [ Sriram Raghunathan ]
  * debian/control:
    + Fix typo in control file which is used to show package info. (Closes:
      #768855).

  [ Lionel Elie Mamane ]
  * Enable URBDRC (USB redirection) channel. (Closes: #788005).

  [ Alex 'AdUser' Z ]
  * debian/patches:
    + Add 1010_libudev-link.patch. Fix linking against libudev if building
      USB redirection channel is enabled.

  [ Mike Gabriel ]
  * debian/{control,rules}:
    + Drop B-D: libgstreamer-plugins-base0.10-dev. This requires disabling
      gstreamer support and is a wanted and temporary regression. With
      upcoming freerdp2 upload to Debian, gstreamer1.0 support will be
      (re-)introduced. (Closes: #785898).
  * debian/control:
    + Add B-Ds: libusb-1.0-0-dev, libudev-dev, libdbus-glib-1-dev, uuid-dev.
    + Use encrypted URLs for Vcs-*: field.
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
  * debian/rules:
    + Enable all hardening flags.
  * debian/patches:
    + Add 0005_release-keys-when-xfreerdp-is-unfocused-to-prevent-s.patch.
      Prevent Alt key from getting "stuck" with -grab-keyboard option when
      using Alt-Tab to switch between local X windows. Thanks to Petr
      Vorel <email address hidden> for providing the patch. (Closes: #778650).
    + Add 0006_fix-null-cert-that-is-not-an-error.patch. Fix null certificate
      that is not an error. Thanks to Nathan Schulte for referencing the
      upstream commit. Patch backported by myself to this freerdp Git snapshot.
      (Closes: #803891).
    + Add 0007_Fix-build-failure-on-x32.patch. Fix FTBFS on x32 architecture.
      Thanks to Adam Borowski for providing this patch. (Clo...

Read more...

Changed in freerdp (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers